﻿--2023.8.7update
ALTER TABLE sys_user ADD gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女';
ALTER TABLE sys_user CHANGE gender gender varchar(20) NULL COMMENT '性别，MAN：男，WOMAN：女' AFTER org_id;
ALTER TABLE sys_user CHANGE org_id org_id bigint NULL COMMENT '机构id' AFTER mobile_number;

UPDATE sys_privilege
SET name='人员档案导入', url='/api/admin/user/archives/import', `type`='URL', parent_id=33, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=70;
UPDATE sys_privilege
SET name='人员档案导出', url='/api/admin/user/archives/export', `type`='URL', parent_id=33, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=71;
UPDATE sys_privilege
SET name='任务管理查询', url='/api/admin/task/query', `type`='URL', parent_id=240, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=72;

INSERT INTO `sys_privilege` VALUES (252, '用户查询', '/api/admin/user/list', 'URL', 15, 1, 'AUTH', '122', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (283, '用户新增/修改', '/api/admin/user/save', 'URL', 15, 2, 'AUTH', '120', 1, 1, 0);
INSERT INTO `sys_privilege` VALUES (284, '用户启用/禁用', '/api/admin/user/enable', 'URL', 15, 3, 'AUTH', '121', 1, 1, 0);

-- ----------------------------
-- Table structure for t_s_auth
-- ----------------------------
DROP TABLE IF EXISTS `t_s_auth`;
CREATE TABLE `t_s_auth` (
                            `id` bigint NOT NULL COMMENT '主键',
                            `school_id` bigint DEFAULT NULL COMMENT '学校id',
                            `access_key` varchar(255) DEFAULT NULL COMMENT 'accessKey',
                            `access_secret` varchar(255) DEFAULT NULL COMMENT 'accessSecret',
                            `description` text COMMENT '离线授权证书',
                            `type` varchar(16) NOT NULL COMMENT '授权类型',
                            `create_id` bigint DEFAULT NULL COMMENT '创建人',
                            `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                            `update_id` bigint DEFAULT NULL COMMENT '更新人',
                            `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                            `expire_time` bigint DEFAULT NULL COMMENT '过期时间',
                            `file` mediumblob COMMENT '文件数据',
                            PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='激活授权配置表';

-- ----------------------------
-- Table structure for basic_school
-- ----------------------------
DROP TABLE IF EXISTS `basic_school`;
CREATE TABLE `basic_school` (
                                `id` bigint NOT NULL COMMENT '主键',
                                `code` varchar(20) NOT NULL COMMENT '学校编码',
                                `domain_name` varchar(20) DEFAULT NULL COMMENT '域名',
                                `name` varchar(100) DEFAULT NULL COMMENT '学校名称',
                                `enable` tinyint NOT NULL DEFAULT '1' COMMENT '是否启用，false：停用，true：启用',
                                `access_key` varchar(50) DEFAULT NULL COMMENT '访问key',
                                `access_secret` varchar(50) DEFAULT NULL COMMENT '访问秘钥',
                                `remark` text COMMENT '备注',
                                `create_id` bigint DEFAULT NULL COMMENT '创建人',
                                `create_time` bigint DEFAULT NULL COMMENT '创建时间',
                                `update_id` bigint DEFAULT NULL COMMENT '更新人',
                                `update_time` bigint DEFAULT NULL COMMENT '更新时间',
                                `logo` mediumtext COMMENT '学校logo',
                                PRIMARY KEY (`id`) USING BTREE,
                                UNIQUE KEY `code` (`code`) USING BTREE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='学校表';

--2023.8.8update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(285, '获取所有角色', '/api/admin/common/get_role_list', 'URL', 64, 10, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(286, '获取所有用户', '/api/admin/common/get_user_list', 'URL', 64, 11, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(287, '获取所有机构', '/api/admin/common/get_org_list', 'URL', 64, 12, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(288, '角色查询', '/api/admin/role/list', 'URL', 16, 1, 'AUTH', '123', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(289, '角色新增/修改', '/api/admin/role/save', 'URL', 16, 2, 'AUTH', '124,125', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(290, '角色删除', '/api/admin/role/delete', 'URL', 16, 3, 'AUTH', '126', 1, 1, 0);

ALTER TABLE sys_org ADD CONSTRAINT sys_org_UN_name UNIQUE KEY (name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_login_name UNIQUE KEY (org_id,login_name);
ALTER TABLE sys_user ADD CONSTRAINT sys_user_UN_moblie_number UNIQUE KEY (org_id,mobile_number);
ALTER TABLE sys_role ADD CONSTRAINT sys_role_UN_type UNIQUE KEY (name,`type`);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=6, `sequence`=1, property='AUTH', related='256', enable=1, default_auth=0, front_display=1
WHERE id=89;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=6, `sequence`=1, property='AUTH', related='254', enable=1, default_auth=0, front_display=1
WHERE id=90;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=6, `sequence`=1, property='AUTH', related='254,257', enable=1, default_auth=0, front_display=1
WHERE id=91;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=6, `sequence`=2, property='AUTH', related='253', enable=1, default_auth=0, front_display=1
WHERE id=92;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=15, `sequence`=2, property='AUTH', related='252', enable=1, default_auth=0, front_display=1
WHERE id=122;
UPDATE sys_privilege
SET name='用户查询', url='/api/admin/user/list', `type`='URL', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=252;
UPDATE sys_privilege
SET name='服务档位删除', url='/api/sys/level/delete', `type`='URL', parent_id=6, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=253;
UPDATE sys_privilege
SET name='服务档位', url='/api/sys/level/get', `type`='URL', parent_id=6, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=254;
UPDATE sys_privilege
SET name='服务档位列表', url='/api/sys/level/query', `type`='URL', parent_id=6, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=256;
UPDATE sys_privilege
SET name='服务档位修改', url='/api/sys/level/update', `type`='URL', parent_id=6, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=257;
UPDATE sys_privilege
SET name='客户新增', url='/api/sys/custom/add', `type`='URL', parent_id=3, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=258;
UPDATE sys_privilege
SET name='客户删除', url='/api/sys/custom/delete', `type`='URL', parent_id=3, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=259;
UPDATE sys_privilege
SET name='客户查询', url='/api/sys/custom/get', `type`='URL', parent_id=3, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=260;
UPDATE sys_privilege
SET name='客户批量导入', url='/api/sys/custom/import', `type`='URL', parent_id=3, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=261;
UPDATE sys_privilege
SET name='客户查询条件', url='/api/sys/custom/query', `type`='URL', parent_id=3, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=262;
UPDATE sys_privilege
SET name='客户修改', url='/api/sys/custom/update', `type`='URL', parent_id=3, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=263;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=3, `sequence`=3, property='AUTH', related='262', enable=1, default_auth=0, front_display=1
WHERE id=75;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=3, `sequence`=1, property='AUTH', related='260,263', enable=1, default_auth=0, front_display=1
WHERE id=77;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=3, `sequence`=2, property='AUTH', related='259,260', enable=1, default_auth=0, front_display=1
WHERE id=78;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=3, `sequence`=1, property='AUTH', related='258', enable=1, default_auth=0, front_display=1
WHERE id=79;
UPDATE sys_privilege
SET name='批量导入', url='BatchImport', `type`='BUTTON', parent_id=3, `sequence`=2, property='AUTH', related='261', enable=1, default_auth=0, front_display=1
WHERE id=80;
UPDATE sys_privilege
SET name='供应商新增', url='/api/sys/supplier/add', `type`='URL', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=264;
UPDATE sys_privilege
SET name='供应商启用/禁用', url='/api/sys/supplier/enable', `type`='URL', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=265;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/get', `type`='URL', parent_id=4, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=266;
UPDATE sys_privilege
SET name='供应商列表', url='/api/sys/supplier/query', `type`='URL', parent_id=4, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=268;
UPDATE sys_privilege
SET name='供应商修改', url='/api/sys/supplier/update', `type`='URL', parent_id=4, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=269;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/add', `type`='URL', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=270;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/delete', `type`='URL', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=271;
UPDATE sys_privilege
SET name='设备作废', url='/api/sys/device/disable', `type`='URL', parent_id=5, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=272;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/get', `type`='URL', parent_id=5, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=273;
UPDATE sys_privilege
SET name='设备查询条件', url='/api/sys/device/query', `type`='URL', parent_id=5, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=275;
UPDATE sys_privilege
SET name='设备新增', url='/api/sys/device/update', `type`='URL', parent_id=5, `sequence`=7, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=276;
UPDATE sys_privilege
SET name='考勤新增', url='/api/sys/ding/group/add', `type`='URL', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=277;
UPDATE sys_privilege
SET name='考勤删除', url='/api/sys/ding/group/delete', `type`='URL', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=278;
UPDATE sys_privilege
SET name='考勤查询', url='/api/sys/ding/group/get', `type`='URL', parent_id=7, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=279;
UPDATE sys_privilege
SET name='考勤查询条件', url='/api/sys/ding/group/query', `type`='URL', parent_id=7, `sequence`=5, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=281;
UPDATE sys_privilege
SET name='考勤修改', url='/api/sys/ding/group/update', `type`='URL', parent_id=7, `sequence`=6, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=282;
UPDATE sys_privilege
SET name='用户新增/修改', url='/api/admin/user/save', `type`='URL', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=283;
UPDATE sys_privilege
SET name='用户启用/禁用', url='/api/admin/user/enable', `type`='URL', parent_id=15, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=284;
UPDATE sys_privilege
SET name='角色查询', url='/api/admin/role/list', `type`='URL', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=288;
UPDATE sys_privilege
SET name='角色新增/修改', url='/api/admin/role/save', `type`='URL', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=289;
UPDATE sys_privilege
SET name='角色删除', url='/api/admin/role/delete', `type`='URL', parent_id=16, `sequence`=3, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=290;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=81;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=82;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=4, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=83;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=4, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=84;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=85;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=86;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=5, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=87;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=5, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=88;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=94;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=7, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=95;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=96;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=7, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=106;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=15, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=120;
UPDATE sys_privilege
SET name='启用/禁用', url='Enable', `type`='LINK', parent_id=15, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=121;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=126;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=16, `sequence`=1, property='AUTH', related='288', enable=1, default_auth=0, front_display=1
WHERE id=123;
UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289', enable=1, default_auth=0, front_display=1
WHERE id=125;
UPDATE sys_privilege
SET name='删除', url='Delete', `type`='LINK', parent_id=16, `sequence`=2, property='AUTH', related='290', enable=1, default_auth=0, front_display=1
WHERE id=126;

UPDATE sys_privilege
SET name='修改密码', url='UpdatePwd', `type`='LINK', parent_id=15, `sequence`=3, property=NULL, related='18', enable=1, default_auth=0, front_display=1
WHERE id=17;
UPDATE sys_privilege
SET name='用户修改密码', url='/api/admin/user/update_password', `type`='URL', parent_id=15, `sequence`=4, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=18;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3000, '修改密码', '/api/admin/common/update_password', 'URL', 64, 13, 'SYS', NULL, 1, 1, 0);

--2023.8.10update
ALTER TABLE t_d_form_widget ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_form_widget CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER span;

ALTER TABLE t_d_table_prop ADD sub_title varchar(1000) NULL COMMENT '子标题';
ALTER TABLE t_d_table_prop CHANGE sub_title sub_title varchar(1000) NULL COMMENT '子标题' AFTER colspan;

--2023.8.11update
UPDATE sys_privilege
SET name='通知公告管理', url='noticeManage', `type`='MENU', parent_id=8, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=9;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3001, '流程审批接口', '/api/admin/flow/approve', 'URL', 64, 14, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3002, '创建流程接口', '/api/admin/flow/createDeployment', 'URL', 64, 15, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3003, '结束流程接口', '/api/admin/flow/delete', 'URL', 64, 16, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3004, '获取流程部署信息接口', '/api/admin/flow/deployment/data', 'URL', 64, 17, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3005, '获取流程表单属性接口', '/api/admin/flow/form_properties/get', 'URL', 64, 18, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3006, '获取流程待办接口', '/api/admin/flow/getTaskList', 'URL', 64, 19, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3007, '流程转办接口', '/api/admin/flow/task/approver/exchange', 'URL', 64, 20, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3008, '上传流程接口', '/api/admin/flow/upload', 'URL', 64, 21, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3009, '获取流程详细信息接口', '/api/admin/flow/view', 'URL', 64, 22, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3010, '清除缓存接口', '/api/admin/common/cache_clear', 'URL', 3012, 1, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3011, '超管菜单', 'adminManage', 'MENU', NULL, 10, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3012, '清除缓存', 'cacheManage', 'MENU', 3011, 1, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3013, '消息提醒规则', 'messageRuleManage', 'MENU', 3011, 2, NULL, NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3014, '清除缓存', 'Clear', 'BUTTON', 3012, 1, 'AUTH', '3010', 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3015, '查询枚举接口', '/api/admin/common/query_enum', 'URL', 64, 23, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_b_quality_problem_apply ADD problem_no VARCHAR(100)
    COMMENT '问题编号' NOT NULL after crm_no;

--2023.8.14update
-- ----------------------------
-- Table structure for sequence
-- ----------------------------
DROP TABLE IF EXISTS `sequence`;
CREATE TABLE `sequence` (
                            `name` varchar(50) CHARACTER NOT NULL COMMENT '名称',
                            `current_value` bigint NOT NULL DEFAULT '0' COMMENT '当前值',
                            `increment` int NOT NULL DEFAULT '1' COMMENT '增长值',
                            PRIMARY KEY (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='序列表';

-- ----------------------------
-- Records of sequence
-- ----------------------------
BEGIN;
INSERT INTO `sequence` VALUES ('cloudMarkSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('dingExceptionFlow', 0, 1);
INSERT INTO `sequence` VALUES ('officeSopFlow', 0, 1);
INSERT INTO `sequence` VALUES ('projectExchangeFlow', 0, 1);
INSERT INTO `sequence` VALUES ('qualityProblemFlow', 0, 1);
COMMIT;

DROP FUNCTION IF EXISTS `currval`;
delimiter ;;
CREATE FUNCTION `currval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
	DECLARE value LONG;
	SET value = 0;
SELECT current_value INTO value
FROM sequence
WHERE name = seq_name;
RETURN value;
END;
;;
delimiter ;

DROP FUNCTION IF EXISTS `nextval`;
delimiter ;;
CREATE FUNCTION `nextval`(seq_name VARCHAR(50)) RETURNS int
    DETERMINISTIC
BEGIN
UPDATE sequence
SET current_value = current_value + increment
WHERE name = seq_name;
RETURN currval(seq_name);
END;
;;
delimiter ;

UPDATE sys_privilege
SET name='新增', url='Add', `type`='BUTTON', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=124;
UPDATE sys_privilege
SET name='修改', url='Update', `type`='LINK', parent_id=16, `sequence`=1, property='AUTH', related='289,3016', enable=1, default_auth=0, front_display=1
WHERE id=125;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3016, '角色权限查询接口', '/api/admin/role/privilege/list', 'URL', 16, 4, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(19, NULL, 'flow.code.length', '流程编码长度', '10', NULL, 1, 1, 1, NULL, NULL, NULL);

ALTER TABLE t_f_custom_flow_entity MODIFY COLUMN code varchar(20) CHARACTER SET utf8mb4 NOT NULL COMMENT '编号';
ALTER TABLE t_f_custom_flow_entity ADD CONSTRAINT t_f_custom_flow_entity_UN_code UNIQUE KEY (code,flow_id);

DELETE FROM sys_privilege
WHERE id=22;

UPDATE sys_privilege
SET name='质量监控分析', url='qualityProblemControl', `type`='MENU', parent_id=20, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=1
WHERE id=23;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN sop_no sop_no VARCHAR(100)
    COMMENT 'sop单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN crm_no crm_no VARCHAR(100)
    COMMENT 'crm单号' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN service_id service_id BIGINT
    COMMENT '服务单元id' NOT NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN type type VARCHAR(20)
    COMMENT '问题类型，UPDATE：修正类，OPTIMIZE：优化类，NO_PROBLEM：不是问题' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN reason reason VARCHAR(20)
    COMMENT '问题原因类型，EXEC：执行类，MANAGER：管理协调类，FLOW：流程制度类，PRODUCT_PROBLEM：产品缺陷类，PRODUCT_MANAGER：产品运维类，OTHER：其它' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN user_id user_ids VARCHAR(500)
    COMMENT '责任人id数组' NULL;

ALTER TABLE t_b_quality_problem_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_quality_problem_apply ADD remark VARCHAR(500)
    COMMENT '问题情况说明' NOT NULL after summary;

ALTER TABLE t_b_quality_problem_apply ADD update_id BIGINT
    COMMENT '更新人id' NULL after create_time;

ALTER TABLE t_b_quality_problem_apply ADD update_time BIGINT
    COMMENT '更新时间' NULL after update_id;

UPDATE sys_privilege
SET name='上报质量问题', url='ProblemSubmit', `type`='LINK', parent_id=41, `sequence`=5, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=179;

--2023.8.15update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3017, '考勤异常申请接口', '/api/admin/ding/exception/apply/save', 'URL', 26, 1, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031', enable=1, default_auth=0, front_display=1
WHERE id=127;
UPDATE sys_privilege
SET name='考勤打卡', url='ding', `type`='MENU', parent_id=25, `sequence`=1, property=NULL, related='3017', enable=1, default_auth=0, front_display=1
WHERE id=26;
UPDATE sys_privilege
SET name='待审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=131;
UPDATE sys_privilege
SET name='待审核-批量通过', url='BatchPass', `type`='BUTTON', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=132;
UPDATE sys_privilege
SET name='待审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=134;
UPDATE sys_privilege
SET name='待审核-批量拒绝', url='BatchReject', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=135;
UPDATE sys_privilege
SET name='待审核-通过', url='Pass', `type`='LINK', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=136;
UPDATE sys_privilege
SET name='待审核-拒绝', url='Reject', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=137;
UPDATE sys_privilege
SET name='已审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=138;
UPDATE sys_privilege
SET name='已审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017', enable=1, default_auth=0, front_display=1
WHERE id=140;
UPDATE sys_privilege
SET name='获取全部流程待办', url='/api/admin/flow/task/un_done/list', `type`='URL', parent_id=64, `sequence`=19, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3006;

ALTER TABLE t_b_quality_problem_apply ADD CONSTRAINT t_b_quality_problem_apply_UN_probem_no UNIQUE KEY (problem_no);

ALTER TABLE t_b_ding_apply CHANGE COLUMN flow_id ding_exception_no VARCHAR(100)
    COMMENT '考勤异常编号' NOT NULL;

ALTER TABLE t_b_ding_apply CHANGE COLUMN attachment_id attachment_ids VARCHAR(500)
    COMMENT '附件id数组' NULL;

ALTER TABLE t_b_ding_apply ADD CONSTRAINT t_b_ding_apply_UN_ding_exception_no UNIQUE KEY (ding_exception_no);

--2023.8.16update
ALTER TABLE t_b_product CHANGE COLUMN code code VARCHAR(100)
    COMMENT '编码，OFFICE：教务处，CLOUD_MARK：云阅卷' NOT NULL;

ALTER TABLE t_b_session MODIFY COLUMN `type` varchar(500) CHARACTER SET utf8mb4 NOT NULL COMMENT '用户类型';

ALTER TABLE t_b_ding_history ADD date_type varchar(20) NULL COMMENT '日期类型：WEEKDAY("工作日"),WEEKEND("周末"),LEGAL_HOLIDAYS("法定节假日")';
ALTER TABLE t_b_ding_history CHANGE date_type date_type varchar(20) NULL COMMENT '日期类型：WEEKDAY("工作日"),WEEKEND("周末"),LEGAL_HOLIDAYS("法定节假日")' AFTER sign_date;

ALTER TABLE t_f_custom_flow_entity ADD crm_no varchar(100) NULL COMMENT 'crm单号';
ALTER TABLE t_f_custom_flow_entity CHANGE crm_no crm_no varchar(100) NULL COMMENT 'crm单号' AFTER t_f_custom_flow_id;

UPDATE sys_privilege
SET name='获取流程待办', url='/api/admin/flow/task/list', `type`='URL', parent_id=64, `sequence`=19, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3006;

INSERT INTO t_b_product
(id, name, code, enable, create_id, create_time)
VALUES(1, '教务处', 'OFFICE', 1, 1, NULL);
INSERT INTO t_b_product
(id, name, code, enable, create_id, create_time)
VALUES(2, '云阅卷', 'CLOUD_MARK', 1, 1, NULL);

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3018, '根据角色类型获取所有用户', '/api/admin/common/get_user_list_by_role_type', 'URL', 64, 24, 'SYS', NULL, 1, 1, 0);

DROP TABLE IF EXISTS `t_s_job_log`;
CREATE TABLE `t_s_job_log` (
                               `id` bigint NOT NULL COMMENT '主键',
                               `job_remind_id` bigint NOT NULL COMMENT '任务提醒id',
                               `type` varchar(20) CHARACTER NOT NULL COMMENT '任务类型',
                               `code` varchar(100) CHARACTER DEFAULT NULL COMMENT '编码',
                               `obj_id` bigint NOT NULL COMMENT '实体id',
                               `obj_name` varchar(100) CHARACTER DEFAULT NULL COMMENT '实体名称',
                               `remind_type` varchar(20) CHARACTER NOT NULL COMMENT '提醒类别，BEFORE：提前，AFTER：超时',
                               `create_id` bigint NOT NULL COMMENT '创建人id',
                               `create_time` bigint NOT NULL COMMENT '创建时间',
                               PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='任务日志表';

-- ----------------------------
-- Table structure for t_s_job_remind
-- ----------------------------
DROP TABLE IF EXISTS `t_s_job_remind`;
CREATE TABLE `t_s_job_remind` (
                                  `id` bigint NOT NULL COMMENT '主键',
                                  `code` varchar(100) DEFAULT NULL COMMENT '编码',
                                  `obj_id` bigint NOT NULL COMMENT '实体id',
                                  `obj_name` varchar(100) DEFAULT NULL COMMENT '实体名称',
                                  `remind_type` varchar(20) NOT NULL COMMENT '提醒类别，BEFORE：提前，AFTER：超时',
                                  `exec_time` bigint NOT NULL COMMENT '执行时间',
                                  `exec_field` varchar(50) DEFAULT NULL COMMENT '执行字段',
                                  `exec` tinyint NOT NULL DEFAULT '0' COMMENT '是否执行，0：未执行，1：已执行',
                                  `create_id` bigint NOT NULL COMMENT '创建人id',
                                  `create_time` bigint NOT NULL COMMENT '创建时间',
                                  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='任务提醒表';


ALTER TABLE sys_message CHANGE COLUMN type type VARCHAR(20)
    COMMENT '消息类型，BEFORE：提前提醒，AFTER：延期提醒，OFFICE_SOP：教务处SOP，CLOUD_MARK_SOP：云阅卷SOP，QUALITY：质量问题提醒，EXCEPTION_APPROVE：异常审核提醒，VIOLATION：违规提醒，SYSTEM_PLAN_CHANGE：系统计划变更提醒，SYSTEM：系统公告' NOT NULL;

ALTER TABLE sys_message ADD code VARCHAR(100)
    COMMENT '编号' NULL after crm_no;

ALTER TABLE sys_message ADD obj_type VARCHAR(100)
    COMMENT '实体业务类型' NULL after type;

INSERT INTO sys_role
(id, org_id, name, enable, `type`, create_id, create_time, update_id, update_time, default_role, interpret)
VALUES(10, NULL, '客户经理', 1, 'ACCOUNT_MANAGER', NULL, NULL, NULL, NULL, 1, '系统角色');

--2023.8.17update
UPDATE sys_privilege
SET name='我的工作台', url='workManage', `type`='MENU', parent_id=NULL, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=58;
UPDATE sys_privilege
SET name='工作台', url='workChildManage', `type`='MENU', parent_id=58, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=59;
UPDATE sys_privilege
SET name='消息提醒', url='message', `type`='MENU', parent_id=59, `sequence`=1, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=60;
UPDATE sys_privilege
SET name='待办任务', url='work', `type`='MENU', parent_id=59, `sequence`=2, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=61;
UPDATE sys_privilege
SET name='通知公告', url='notice', `type`='MENU', parent_id=59, `sequence`=3, property=NULL, related=NULL, enable=1, default_auth=0, front_display=0
WHERE id=62;
UPDATE sys_privilege
SET name='按多个类型统计当前用户未读消息', url='/api/sys/message/countByTypes', `type`='URL', parent_id=59, `sequence`=1, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1009;
UPDATE sys_privilege
SET name='查看消息详细', url='/api/sys/message/get', `type`='URL', parent_id=59, `sequence`=2, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1010;
UPDATE sys_privilege
SET name='按多个类型查询当前用户未读消息', url='/api/sys/message/pageByTypes', `type`='URL', parent_id=59, `sequence`=3, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1011;
UPDATE sys_privilege
SET name='标记消息已阅读', url='/api/sys/message/read', `type`='URL', parent_id=59, `sequence`=4, property='SYS', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=1012;

INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(20, NULL, 'job.before.time', '提前提醒任务时间（单位：分）', '720', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(21, NULL, 'job.after.time', '超时提醒任务时间（单位：分）', '1440', NULL, 1, 1, 1, NULL, NULL, NULL);

ALTER TABLE t_f_flow_log CHANGE COLUMN approve_operation approve_operation VARCHAR(50)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NOT NULL;

ALTER TABLE t_s_job_remind ADD receive_user_id BIGINT
    COMMENT '接收人id' NOT NULL after exec;

ALTER TABLE t_s_job_remind ADD approve_operation VARCHAR(20)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NOT NULL after receive_user_id;

ALTER TABLE t_s_job_remind ADD enable TINYINT DEFAULT 1
    COMMENT '是否启用，0：停用，1：启用' NOT NULL after approve_operation;

ALTER TABLE t_s_job_remind CHANGE COLUMN exec_time exec_time BIGINT
    COMMENT '执行时间' NULL;

--2023.8.18update
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(22, NULL, 'notice.job.after.time', '公告超时提醒任务时间（单位：分）', '30', NULL, 1, 1, 1, NULL, NULL, NULL);

UPDATE sys_config
SET org_id=NULL, config_key='flow.job.before.time', config_name='流程提前提醒任务时间（单位：分）', config_value='720', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=20;
UPDATE sys_config
SET org_id=NULL, config_key='flow.job.after.time', config_name='流程超时提醒任务时间（单位：分）', config_value='1440', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=21;

ALTER TABLE t_s_job_remind CHANGE COLUMN exec type TINYINT DEFAULT 0
    COMMENT '类型，FLOW：流程，NOTICE：公告' NOT NULL;

ALTER TABLE t_s_job_remind MODIFY COLUMN `type` VARCHAR(20) NOT NULL COMMENT '类型，FLOW：流程，NOTICE：公告';

ALTER TABLE t_s_job_remind CHANGE `type` `type` varchar(20) CHARACTER SET utf8mb4 NOT NULL COMMENT '类型，FLOW：流程，NOTICE：公告' AFTER id;

ALTER TABLE t_s_job_log CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，FLOW：流程，NOTICE：公告' NOT NULL;

--2023.8.19update
ALTER TABLE t_s_job_remind CHANGE COLUMN approve_operation approve_operation VARCHAR(20)
    COMMENT '审批操作，START：提交，DRAFT：草稿，APPROVE：审批，REJECT：驳回，END：终止，CANCEL：撤销，EXCHANGE：转他人审批，FINISH：结束' NULL;

ALTER TABLE t_s_job_remind CHANGE COLUMN receive_user_id receive_user_id BIGINT
    COMMENT '接收人id' NULL;

ALTER TABLE t_b_project_exchange ADD exchange_no VARCHAR(100)
    COMMENT '变更编号' NULL after crm_no;

INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(23, NULL, 'remind.job.poll.time', '任务提醒轮询时间', '0 0/1 * * * ?', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(24, NULL, 'remind.job.db.limit', '任务提醒查询条数', 'limit 0,100000', NULL, 1, 2, 1, NULL, NULL, NULL);

--2023.8.23update
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(25, NULL, 'sms.notice.code', '系统通知公告', 'SMS_462685325', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(26, NULL, 'sms.sop.before.remind.code', '教务处/研究生SOP提前提醒通知', 'SMS_462660413', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(27, NULL, 'sms.sop.done.code', '教务处/研究生SOP节点负责人通知', 'SMS_462730333', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(28, NULL, 'sms.flow.project.exchange.finish.code', '系统计划变更审核通知', 'SMS_462685324', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(29, NULL, 'sms.flow.ding.exception.finish.code', '异常审核通知', 'SMS_462700329', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(30, NULL, 'sms.sop.after.remind.code', '延期提醒通知', 'SMS_462700328', NULL, 1, 1, 1, NULL, NULL, NULL);
INSERT INTO sys_config
(id, org_id, config_key, config_name, config_value, remark, enable, sort, create_id, create_time, update_id, update_time)
VALUES(31, NULL, 'sms.violation.remind.code', '违规提醒通知', 'SMS_462720332', NULL, 1, 1, 1, NULL, NULL, NULL);

UPDATE sys_privilege
SET name='待审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017,3019', enable=1, default_auth=0, front_display=1
WHERE id=131;
UPDATE sys_privilege
SET name='待审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017,3019', enable=1, default_auth=0, front_display=1
WHERE id=134;
UPDATE sys_privilege
SET name='已审核-列表', url='List', `type`='LIST', parent_id=27, `sequence`=1, property='AUTH', related='3017,3020', enable=1, default_auth=0, front_display=1
WHERE id=138;
UPDATE sys_privilege
SET name='已审核-查询', url='Select', `type`='BUTTON', parent_id=27, `sequence`=3, property='AUTH', related='3017,3020', enable=1, default_auth=0, front_display=1
WHERE id=140;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3019, '考勤异常待审核接口', '/api/admin/ding/exception/apply/flow/task/un_done/list', 'URL', 26, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3020, '考勤异常已审核接口', '/api/admin/ding/exception/apply/flow/task/done/list', 'URL', 26, 3, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='待审核-通过', url='Pass', `type`='LINK', parent_id=27, `sequence`=1, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=136;
UPDATE sys_privilege
SET name='待审核-拒绝', url='Reject', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=137;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3021, '考勤异常审核接口', '/api/admin/ding/exception/apply/flow/approve', 'URL', 26, 4, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='待审核-批量通过', url='BatchPass', `type`='BUTTON', parent_id=27, `sequence`=1, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=132;
UPDATE sys_privilege
SET name='待审核-批量拒绝', url='BatchReject', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=135;
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3022, '考勤异常批量审核接口', '/api/admin/ding/exception/apply/flow/batch/approve', 'URL', 26, 5, 'AUTH', NULL, 1, 1, 0);

--2023.8.24update
UPDATE sys_config
SET org_id=NULL, config_key='sms.notice.code', config_name='系统通知公告', config_value='SMS_462685325', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=25;
UPDATE sys_config
SET org_id=NULL, config_key='sms.flow.project.exchange.finish.code', config_name='系统计划变更审核通知', config_value='SMS_462680680', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=28;
UPDATE sys_config
SET org_id=NULL, config_key='sms.violation.remind.code', config_name='违规提醒通知', config_value='SMS_462805303', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=31;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3023, '获取违规延期预警待办接口', '/api/admin/my/work_bench/warn/list', 'URL', 64, 25, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_b_project_exchange ADD account_manager_id BIGINT
    COMMENT '客户经理id' NOT NULL after service_id;

ALTER TABLE t_b_project_exchange ADD custom_type VARCHAR(20)
    COMMENT '客户类型，OFFICE：教务处，CLOUD_MARK：云阅卷' NOT NULL after account_manager_id;

ALTER TABLE t_b_project_exchange ADD custom_name VARCHAR(100)
    COMMENT '客户名称' NOT NULL after custom_type;

ALTER TABLE t_b_ding_apply ADD approve VARCHAR(20)
    COMMENT '审批操作，PASS：通过，NO_PASS：不通过' NULL after ding_exception_no;

UPDATE sys_privilege
SET name='待审核-批量不通过', url='BatchNoPass', `type`='BUTTON', parent_id=27, `sequence`=2, property='AUTH', related='3017,3022', enable=1, default_auth=0, front_display=1
WHERE id=135;
UPDATE sys_privilege
SET name='待审核-不通过', url='NoPass', `type`='LINK', parent_id=27, `sequence`=2, property='AUTH', related='3017,3021', enable=1, default_auth=0, front_display=1
WHERE id=137;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3024, '处理完毕', 'Finish', 'LINK', 44, 1, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3025, '项目变更计划申请接口', '/api/admin/project/exchange/save', 'URL', 40, 1, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=41, `sequence`=2, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=176;
UPDATE sys_privilege
SET name='计划变更报备', url='ProjectExchange', `type`='LINK', parent_id=42, `sequence`=2, property='AUTH', related='3025', enable=1, default_auth=0, front_display=1
WHERE id=185;

--2023.8.25update
DELETE FROM sys_privilege
WHERE id=195;

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=44, `sequence`=1, property='AUTH', related='3026', enable=1, default_auth=0, front_display=1
WHERE id=193;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=44, `sequence`=2, property='AUTH', related='3026', enable=1, default_auth=0, front_display=1
WHERE id=196;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3026, '项目变更计划列表接口', '/api/admin/project/exchange/list', 'URL', 40, 2, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3027, '流程控件查询接口', '/api/admin/widget/flow/select', 'URL', 64, 26, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3028, '控件查询列表接口', '/api/admin/widget/list', 'URL', 64, 27, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3029, '批量结束流程接口', '/api/admin/flow/batch/delete', 'URL', 64, 28, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3030, '项目变更计划审核接口', '/api/admin/project/exchange/flow/approve', 'URL', 40, 3, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3031, '项目变更计划详情接口', '/api/admin/project/exchange/view', 'URL', 40, 4, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='处理申请', url='Finish', `type`='LINK', parent_id=44, `sequence`=1, property='AUTH', related='3030,3031', enable=1, default_auth=0, front_display=1
WHERE id=3024;


ALTER TABLE t_b_project_exchange DROP COLUMN account_manager_id;

ALTER TABLE t_b_project_exchange DROP COLUMN custom_type;

ALTER TABLE t_b_project_exchange DROP COLUMN custom_name;

ALTER TABLE t_b_project_exchange ADD result VARCHAR(20)
    COMMENT '处理结果，FINISH：已完成，NOT_UPDATE：经沟通，取消变更，PARTIAL_UPDATE：经沟通，部分变更' NULL after content_json;

ALTER TABLE t_b_project_exchange ADD remark VARCHAR(500)
    COMMENT '变更备注' NULL after result;

--2023.8.26update
ALTER TABLE sys_custom CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NULL;
ALTER TABLE sys_level CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE sys_message CHANGE COLUMN type type VARCHAR(20)
    COMMENT '消息类型，BEFORE：提前提醒，AFTER：延期提醒，OFFICE_SOP：教务处SOP，CLOUD_MARK_SOP：研究生SOP，QUALITY：质量问题提醒，EXCEPTION_APPROVE：异常审核提醒，VIOLATION：违规提醒，SYSTEM_PLAN_CHANGE：系统计划变更提醒，SYSTEM：系统公告' NOT NULL;
ALTER TABLE t_b_product CHANGE COLUMN code code VARCHAR(100)
    COMMENT '编码，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_b_project_exchange CHANGE COLUMN type type VARCHAR(20)
    COMMENT '变更类型，PLAN：项目信息及计划，CANCEL：项目取消' NOT NULL;
ALTER TABLE t_b_service CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_b_sop_info CHANGE COLUMN type type VARCHAR(20)
    COMMENT '类型，OFFICE：教务处，CLOUD_MARK：研究生' NOT NULL;
ALTER TABLE t_f_custom_flow CHANGE COLUMN type type VARCHAR(100)
    COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL;

--2023.8.28update
ALTER TABLE t_d_form_widget ADD options VARCHAR(500)
    COMMENT '选项值，RADIO或CHECKBOX填此值' NULL after sub_title;
ALTER TABLE t_d_form_widget ADD flow_type VARCHAR(20)
    COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL after options;
ALTER TABLE t_d_form_widget ADD form_setup INTEGER
    COMMENT '表单步骤' NOT NULL after flow_type;
ALTER TABLE t_d_form_widget ADD handle TINYINT DEFAULT 0
    COMMENT '是否可处理，0：不处理，1：可处理' NOT NULL after form_setup;
ALTER TABLE t_d_form_widget CHANGE COLUMN handle handle_time TINYINT DEFAULT 0
    COMMENT '处理时限，0：不处理，1：可处理' NOT NULL;
ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SELECT：下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

--2023.8.29update
ALTER TABLE t_d_form_widget DROP COLUMN parent_id;
ALTER TABLE t_d_form_widget DROP COLUMN fit;
ALTER TABLE t_d_form_widget DROP COLUMN update_id;
ALTER TABLE t_d_form_widget DROP COLUMN update_time;
ALTER TABLE t_d_table_prop DROP COLUMN update_id;
ALTER TABLE t_d_table_prop DROP COLUMN update_time;

ALTER TABLE t_d_form_widget CHANGE COLUMN input_type input_type VARCHAR(20)
    COMMENT '输入类型，STRING：字符串，INT：整型，LONG：长整型，DOUBLE：浮点型，ENUM：枚举，DATE：日期，BOOL：布尔，BIGDECIMAL：精确浮点，FILE：文件，ARRAY：数组' NULL;

UPDATE sys_config
SET org_id=NULL, config_key='flow.code.length', config_name='流程编码长度', config_value='3', remark=NULL, enable=1, sort=1, create_id=1, create_time=NULL, update_id=NULL, update_time=NULL
WHERE id=19;

CREATE TABLE t_d_form_widget_metadata
(
    type VARCHAR(20)
        COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP，DING_EXCEPTION_FLOW：考勤异常审核流程，PROJECT_EXCHANGE_FLOW：项目计划变更流程，QUALITY_PROBLEM_FLOW：质量问题反馈流程' NOT NULL,
    flow_deployment_id VARCHAR(50)
        COMMENT '流程部署id' NOT NULL,
    version INTEGER DEFAULT 1
        COMMENT '版本号' NOT NULL,
    field_id VARCHAR(50)
        COMMENT '字段id' NOT NULL,
    field_name VARCHAR(50)
        COMMENT '字段名称' NOT NULL,
    field_title VARCHAR(50)
        COMMENT '字段标题' NULL,
    create_time BIGINT
        COMMENT '创建时间' NOT NULL
);
ALTER TABLE t_d_form_widget_metadata COMMENT = '动态表单元数据表';

--2023.8.31update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3032, '获取流程待办计数接口', '/api/admin/flow/task/list/count', 'URL', 64, 29, 'SYS', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3033, '获取违规/延期预警待办计数接口', '/api/admin/my/work_bench/warn/list/count', 'URL', 64, 30, 'SYS', NULL, 1, 1, 0);

ALTER TABLE t_d_form_widget_metadata MODIFY COLUMN field_id varchar(100) CHARACTER SET utf8mb4 NOT NULL COMMENT '字段id';
ALTER TABLE t_d_form_widget_metadata MODIFY COLUMN field_name varchar(100) CHARACTER SET utf8mb4 NOT NULL COMMENT '字段名称';

ALTER TABLE t_d_form_widget MODIFY COLUMN form_id varchar(100) CHARACTER SET utf8mb4 NULL COMMENT '表单id';
ALTER TABLE t_d_form_widget MODIFY COLUMN form_name varchar(100) CHARACTER SET utf8mb4 NULL COMMENT '表单名称';
ALTER TABLE t_d_form_widget_metadata ADD field_value MEDIUMTEXT COMMENT '字段值' NULL after field_title;
ALTER TABLE t_d_form_widget_metadata ADD setup INTEGER COMMENT '流程步骤' NOT NULL after field_value;
ALTER TABLE t_d_form_widget_metadata ADD field_check TINYINT DEFAULT 0 COMMENT '是否勾选，0：未勾选，1：勾选' NOT NULL after setup;

ALTER TABLE t_d_form_widget_metadata ADD code VARCHAR(20) COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SELECT：下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL after version;

ALTER TABLE t_b_sop_info CHANGE COLUMN type type VARCHAR(20) COMMENT '流程类型，OFFICE_SOP_FLOW：教务处SOP，CLOUD_MARK_SOP_FLOW：研究生SOP' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN project_name;

ALTER TABLE t_b_sop_info CHANGE COLUMN project_id product_id BIGINT COMMENT '产品id' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN user_id;

ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20) COMMENT '编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

ALTER TABLE t_d_form_widget_metadata CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，TEXTAREA：文本域，编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL;

ALTER TABLE t_b_sop_info DROP COLUMN college_name;
ALTER TABLE t_b_sop_info DROP COLUMN region_user_id;
ALTER TABLE t_b_sop_info DROP COLUMN cloud_mark_user_id;

CREATE TABLE t_b_sop_info_detail
(
    id BIGINT
        COMMENT '主键' NOT NULL,
    sop_info_id BIGINT
        COMMENT 'sop信息id' NOT NULL,
    region_user_id BIGINT
        COMMENT '区域负责人id' NOT NULL,
    engineer_user_id BIGINT
        COMMENT '实施工程师id' NOT NULL,
    assistant_engineer_user_ids VARCHAR(500)
        COMMENT '助理实施工程师id数组' NULL,
    PRIMARY KEY (id)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='sop明细表';

ALTER TABLE t_d_form_widget_metadata DROP COLUMN field_value;

--2023.9.1update
ALTER TABLE t_d_form_widget CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NULL;

ALTER TABLE t_d_form_widget_metadata CHANGE COLUMN code code VARCHAR(20)
    COMMENT '编码，TEXT：文本，NUMBER：数字文本，TEXTAREA：文本域，编码，TEXT：文本，TEXTAREA：文本域，SINGLE_SELECT：单选下拉框，MULTIPLE_SELECT：多选下拉框，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格，RADIO：单选框，CHECKBOX：复选框，DATE：日期，BUTTON：按钮，IMG：图片，VIDEO：视频，AUDIO：音频，FILE：文件，POP_SELECT：弹出选择框，LABEL：标签，TABLE：表格，SIGN：签名，CASCADE_ADDRESS：城市选择控件，OTHER：其它，FORM_GROUP_TITLE：带虚线分割线的标题，ONLE_TITLE：普通标题，独占一行，RADIO_WITH_INPUT：带1个输入框的单选框，DEVICE_IN_TABLE：设备入库表格，DEVICE_OUT_TABLE：设备出库表格' NOT NULL;

ALTER TABLE t_d_form_widget DROP COLUMN value;

ALTER TABLE t_f_custom_flow_entity CHANGE COLUMN code code VARCHAR(30) COMMENT '编号' NOT NULL;

--2023.9.2update
ALTER TABLE t_d_form_widget_metadata ADD change_join TINYINT COMMENT '是否是项目计划变更关联字段，0：不是，1：是' NULL after setup;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3034, 'sop元数据查询接口', '/api/admin/sop/metadata/list', 'URL', 40, 5, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3035, 'sop元数据修改接口', '/api/admin/sop/metadata/save', 'URL', 40, 5, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='教务处SOP管理', url='office', `type`='MENU', parent_id=40, `sequence`=1, property=NULL, related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=41;
UPDATE sys_privilege
SET name='云阅卷SOP管理', url='cloudMark', `type`='MENU', parent_id=40, `sequence`=2, property=NULL, related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=42;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=171;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=172;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=41, `sequence`=2, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=174;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=180;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=181;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=42, `sequence`=2, property='AUTH', related='3034,3035', enable=1, default_auth=0, front_display=1
WHERE id=183;


ALTER TABLE t_d_form_widget_metadata ADD id BIGINT
    COMMENT '主键' NOT NULL first;

ALTER TABLE t_d_form_widget_metadata ADD CONSTRAINT pkt_d_form_widget_metadata
    PRIMARY KEY (id);

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3036, '获取流程版本信息接口', '/api/admin/flow/version/list', 'URL', 64, 31, 'SYS', NULL, 1, 1, 0);

--2023.9.4update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3037, '编辑', 'Edit', 'LINK', 41, 6, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3038, '作废', 'Cancel', 'LINK', 41, 7, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3039, '编辑', 'Edit', 'LINK', 42, 6, 'AUTH', NULL, 1, 0, 1);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3040, '作废', 'Cancel', 'LINK', 42, 7, 'AUTH', NULL, 1, 0, 1);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=171;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=41, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=172;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=41, `sequence`=2, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=174;
UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=41, `sequence`=1, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=175;
UPDATE sys_privilege
SET name='新增SOP', url='AddSop', `type`='LINK', parent_id=41, `sequence`=3, property='AUTH', related='3041', enable=1, default_auth=0, front_display=1
WHERE id=177;
UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=180;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=42, `sequence`=1, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=181;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=42, `sequence`=2, property='AUTH', related='3034,3035,3043', enable=1, default_auth=0, front_display=1
WHERE id=183;
UPDATE sys_privilege
SET name='填报', url='Fill', `type`='LINK', parent_id=42, `sequence`=1, property='AUTH', related='3042', enable=1, default_auth=0, front_display=1
WHERE id=184;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3041, 'sop申请接口', '/api/admin/sop/apply', 'URL', 40, 6, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3042, 'sop填报接口', '/api/admin/sop/approve', 'URL', 40, 7, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3043, 'sop列表接口', '/api/admin/sop/list', 'URL', 40, 8, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='列表', url='List', `type`='LIST', parent_id=21, `sequence`=1, property='AUTH', related='1031,3044', enable=1, default_auth=0, front_display=1
WHERE id=127;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=21, `sequence`=1, property='AUTH', related='1029,3044', enable=1, default_auth=0, front_display=1
WHERE id=128;
UPDATE sys_privilege
SET name='查询条件', url='Condition', `type`='CONDITION', parent_id=21, `sequence`=1, property='AUTH', related='3044', enable=1, default_auth=0, front_display=1
WHERE id=129;
UPDATE sys_privilege
SET name='查询', url='Select', `type`='BUTTON', parent_id=21, `sequence`=2, property='AUTH', related='1030,3044', enable=1, default_auth=0, front_display=1
WHERE id=130;

INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3044, '质量问题反馈审核', '/api/admin/tb/quality/problem/apply/approve', 'URL', 21, 2, 'AUTH', NULL, 1, 1, 0);

--2023.9.5update
ALTER TABLE t_b_project_exchange MODIFY COLUMN enable tinyint DEFAULT 1 NOT NULL COMMENT '是否启用，0：停用，1：启用';

--2023.9.6update
ALTER TABLE t_b_sop_info_detail ADD lead_id BIGINT COMMENT '大区经理id' NOT NULL after sop_info_id;

ALTER TABLE t_b_sop_info_detail CHANGE COLUMN region_user_id region_user_id BIGINT
    COMMENT '区域负责人id' NULL;

ALTER TABLE t_b_sop_info_detail CHANGE COLUMN engineer_user_id engineer_user_id BIGINT
    COMMENT '实施工程师id' NULL;

--2023.9.7update
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3045, 'sop作废', '/api/admin/sop/cancel', 'URL', 40, 9, 'AUTH', NULL, 1, 1, 0);
INSERT INTO sys_privilege
(id, name, url, `type`, parent_id, `sequence`, property, related, enable, default_auth, front_display)
VALUES(3046, 'sop批量作废', '/api/admin/sop/batch/cancel', 'URL', 40, 10, 'AUTH', NULL, 1, 1, 0);

UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=41, `sequence`=1, property='AUTH', related='3046', enable=1, default_auth=0, front_display=1
WHERE id=173;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='BUTTON', parent_id=42, `sequence`=1, property='AUTH', related='3046', enable=1, default_auth=0, front_display=1
WHERE id=182;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='LINK', parent_id=41, `sequence`=7, property='AUTH', related='3045', enable=1, default_auth=0, front_display=1
WHERE id=3038;
UPDATE sys_privilege
SET name='作废', url='Cancel', `type`='LINK', parent_id=42, `sequence`=7, property='AUTH', related='3045', enable=1, default_auth=0, front_display=1
WHERE id=3040;

UPDATE sys_privilege
SET name='结束流程接口', url='/api/admin/flow/delete', `type`='URL', parent_id=64, `sequence`=16, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3003;
UPDATE sys_privilege
SET name='批量结束流程接口', url='/api/admin/flow/batch/delete', `type`='URL', parent_id=64, `sequence`=28, property='AUTH', related=NULL, enable=1, default_auth=1, front_display=0
WHERE id=3029;